physics:overrideMesh("common/Bowling/Ball.tcol")
world:overrideClass("common/Bowling/Ball",ColClass,{renderingDistance=100,castShadows=true})
ui:bind("5", function() world:fire("common/Bowling/Ball") end, nil, true)

physics:overrideMesh("common/Bowling/Pin.tcol")
world:overrideClass("common/Bowling/Pin",ColClass,{renderingDistance=100,castShadows=true})
ui:bind("6", function() world:fire("common/Bowling/Pin") end, nil, true)

function World:bowling(pos,quat,rows,space)
        pos = pos or self:pickPos()
        quat = quat or gfx:yaw()
        rows = rows or 5
        space = space or 1.6
        local spacex = space * 0.5
        local spacey = space * math.sqrt(3)/2
        for y=1,rows do
                for x=-y+1,y,2 do
                        local pinx = x*spacex
                        local piny = (y-1)*spacey
                        local pinz = 0.63
                        local tripos = quat * Vector3(pinx,piny,pinz) + pos
                        pinx, piny, pinz = tripos:xyz()
                        local o = self.gom:addObject("common/Bowling/Pin",pinx,piny,pinz,{test=1,killMe=1})
                end
        end
end

-- vim: shiftwidth=8:tabstop=8:expandtab
