local mats = get_all_materials()

-- if material M exists, ensure M' exists and has alpha blending + forced sorting
for _,m in ipairs(get_all_materials()) do
    if m.name:sub(-1) ~= "'" then
        local m_ = get_material(m.name.."'") or m:clone(m.name.."'")
        for t=0,m_:getNumTechniques()-1 do
            --if m_:isTechniqueSupported(t) then
                for p=0,m_:getNumPasses(t)-1 do
                    --echo("Tweaking: "..m_.name.." tech("..t..") pass("..p..")")
                    if p==0 then
                        m_:setSceneBlending(t,p,"SRC_ALPHA","ONE_MINUS_SRC_ALPHA")
                    end
                    --m_:setDepthWriteEnabled(t,p,false)
                    m_:setTransparentSortingForced(t,p,true)
                end
            --end
        end
    end
end

