#version 130

in vec3 vertex;

uniform mat4 world;
uniform mat4 view_proj;

uniform vec4 light_dir;

out float light_dist_;

void main(void)
{
        vec3 vertex_ws = (world * vec4(vertex,1)).xyz;
        light_dist_ = -dot(vertex_ws,light_dir.xyz);
        gl_Position = view_proj * vec4(vertex_ws,1); // for the rasteriser
}

// vim: ts=8:sw=8:expandtab

