physics:overrideMesh("common/Crate/Small.tcol")
world:overrideClass("common/Crate/Small",ColClass,{renderingDistance=30,castShadows=true})
ui:bind("1", function() world:fire("common/Crate/Small") end, nil, true)

physics:overrideMesh("common/Crate/Big.tcol")
world:overrideClass("common/Crate/Big",ColClass,{renderingDistance=70,castShadows=true})
ui:bind("2", function() world:fire("common/Crate/Big") end, nil, true)

physics:overrideMesh("common/Crate/Long.tcol")
world:overrideClass("common/Crate/Long",ColClass,{renderingDistance=100,castShadows=true})
ui:bind("3", function() world:fire("common/Crate/Long") end, nil, true)

function World:stack(pos,quat,height,class,dim, perm)
        pos = pos or self:pickPos()
        quat = quat or gfx:yaw()
        height = height or 20
        class = class or "common/Crate/Small"
        dim = dim or 0.3
        perm = perm or false
        local tab = {test = 1, rot=quat}
        if not perm then
                tab.killMe = 1
        end
        for i=0.5,height-0.5 do
                local x,y,z = pos:xyz()
                z = z + dim*i
                self.gom:addObject(class,x,y,z,tab)
        end
end

function World:wall(pos,quat,x_min,x_max,height)
        pos = pos or self:pickPos()
        quat = quat or gfx:yaw()
        x_min = x_min or -8
        x_max = x_max or 8
        height = height or 15
        for z=0,height-1 do
                local x_min_, x_max_ = x_min, x_max
                if z % 2 == 1 then
                        x_min_, x_max_ =x_min+1, x_max-1
                end
                for x=x_min_,x_max_,2 do
                        local px, py, pz = (pos + quat * (0.6*Vector3(x,0,z)+Vector3(0,0,0.3))):xyz()
                        self.gom:addObject("common/Crate/Long",px,py,pz,{test=1,rot=quat,killMe=1})
                end
        end
end

-- vim: shiftwidth=8:tabstop=8:expandtab
