mlockall()

local t = Timer()

--add_resource_location("gtasa/gta3.img.zip","Zip",false)
--add_resource_location("gtasa/gta_int.img.zip","Zip",false)
--add_resource_location("gtasa/meshes.zip","Zip",false)
if not gtasa_no_col then
        t:reset()
        include("gostown/all_col.lua")
        echo("all_col: "..t.us/1000000 .." seconds")
end
t:reset()
initialise_all_resource_groups()

if gtasa_no_col then
        ColClass = BaseClass
end

if pw==nil or not alive(pw) or pw~=physics.world then
        pw = physics.world
end

if gom==nil then
        gom = get_gom()
end

if sm==nil or not alive(sm) or sm~=gfx.scnmgr then
        sm = gfx.scnmgr
        gfx.cam.nearClipDistance = 0.4
        gfx.cam.farClipDistance = 400
        gfx:warp(Vector3(0,0,10))
end

world.visibility = 0.7

player_ctrl.speedFast = 80
player_ctrl.speedSlow = 35

set_mesh_budget(32*1024*1024)
set_texture_budget(32*1024*1024)

t:reset()
read_matbin("gostown/san_andreas.matbin",matbin_reader)
echo("mat.lua: "..t.us/1000000 .." seconds")

function load_map()
        t:reset()
        include "gostown/grit_classes.lua"
        echo("grit_classes.lua: "..t.us/1000000 .." seconds")
        t:reset()
        include "gostown/map.lua"
        echo("map.lua: "..t.us/1000000 .." seconds")
end

function reload_map()
        gom:clearObjects()
        gom:clearClasses()
        include "common/init.lua"
        include "vehicles/init.lua"
        load_map()
end

load_map()


gom.stepSize = 20000


-- vim: shiftwidth=8:tabstop=8:expandtab
