include "vehicles/engine.lua"
include "vehicles/friction_model.lua"
include "vehicles/wheel_assembly.lua"
include "vehicles/base.lua"

include "vehicles/Nova/init.lua"
include "vehicles/Evo/init.lua"
include "vehicles/Focus/init.lua"
include "vehicles/Seat/init.lua"
include "vehicles/MotorBike/init.lua"


ui:bind("o", function() world:fire("vehicles/EvoChassis") end, nil, true)
ui:bind("p", function() world:fire("vehicles/SeatChassis") end, nil, true)
ui:bind("[", function() world:fire("vehicles/FocusChassis") end, nil, true)
ui:bind("]", function() world:fire("vehicles/NovaChassis") end, nil, true)
ui:bind("#", function() world:fire("vehicles/MotorBikeChassis") end, nil, true)

